LibreOffice LibreOffice 4.3 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | List of all members
XScriptProviderSupplier Interface Reference

This interface allows to get the scripting provider related to the object. More...

`import"XScriptProviderSupplier.idl";`

Inheritance diagram for XScriptProviderSupplier:

## Public Member Functions
XScriptProvider | getScriptProvider ()
| returns scripting provider related to the object. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

This interface allows to get the scripting provider related to the object.

## Member Function Documentation

XScriptProvider getScriptProvider | ( |  | ) |

returns scripting provider related to the object.

Returns
  an object implementing com::sun::star::script::provider::XScriptProvider representing the script provider

The documentation for this interface was generated from the following file:

- com/sun/star/script/provider/XScriptProviderSupplier.idl